Subject: 18045306 , Broker IT , Juventus vs Manchester United - Champions League 2018-19 , 07/11/2018 , ID received
From: Ashwinee Latchayya <[email-masked]>
To: Nuno Correia <[email-masked]>
Cc: Akanksha Kwatra <[email-masked]>
Date: Thu, 11 Oct 2018 16:51:44 +0530 (IST)

Hi Nuno, 

The buyer has provided the ID proof requested. 

Petrisor Parfene has requested to forward the documents to him once received from the buyer. 

The buyer has provided more documents but I'm unable to attach all of them as the size limit is of 7 MB. 

I'll be forwarding you another email with the remaining ones. I still can't attach the ID here. 

Kind Regards, 
Ashwinee